Messaging FAQ

Find answers to frequently asked questions about PantheonCloud's messaging services, including SMS, MMS, and rich messaging capabilities.

Overview

PantheonCloud's Messaging Services provide a comprehensive suite of communication tools to help businesses connect with their customers across multiple channels. From simple SMS notifications to rich multimedia messages, our platform offers reliable, secure, and scalable solutions for all your messaging needs.

Multi-Channel Support

SMS, MMS, WhatsApp, and other messaging channels from a single platform.

Global Reach

Connect with customers worldwide with our extensive carrier network.

High Performance

Reliable delivery with 99.9% uptime and industry-leading throughput.

Frequently Asked Questions

API Integration

Send messages programmatically with our simple REST API:

Send SMS Message

POST

https://api.bitpanyun.com/v1/messages

Request Body

JSON Example
{
  "from": "+14155552671",
  "to": "+14155552671",
  "text": "Your verification code is: 487231",
  "channel": "sms",
  "type": "transactional",
  "encoding": "auto"
}

Response

JSON Example
{
  "message_id": "msg_123e4567-e89b-12d3-a456-426614174000",
  "status": "queued",
  "from": "+14155552671",
  "to": "+14155552671",
  "channel": "sms",
  "parts": 1,
  "cost": 0.0075,
  "currency": "USD",
  "created_at": "2023-07-15T14:30:00Z",
  "metadata": {
    "request_id": "req_789e4567-e89b-12d3-a456-426614174000"
  }
}

Get Message Status

GET

https://api.bitpanyun.com/v1/messages/{message_id}

Response

JSON Example
{
  "message_id": "msg_123e4567-e89b-12d3-a456-426614174000",
  "status": "delivered",
  "from": "+14155552671",
  "to": "+14155552671",
  "channel": "sms",
  "parts": 1,
  "cost": 0.0075,
  "currency": "USD",
  "created_at": "2023-07-15T14:30:00Z",
  "updated_at": "2023-07-15T14:30:05Z",
  "delivered_at": "2023-07-15T14:30:04Z",
  "carrier": "Verizon Wireless",
  "country": "US",
  "error": null,
  "metadata": {
    "request_id": "req_789e4567-e89b-12d3-a456-426614174000"
  }
}